List messaging profiles
GET
/
messaging_profiles
JavaScript
import Telnyx from 'telnyx';
const client = new Telnyx({
apiKey: process.env['TELNYX_API_KEY'], // This is the default and can be omitted
});
// Automatically fetches more pages as needed.
for await (const messagingProfile of client.messagingProfiles.list()) {
console.log(messagingProfile.id);
}import os
from telnyx import Telnyx
client = Telnyx(
api_key=os.environ.get("TELNYX_API_KEY"), # This is the default and can be omitted
)
page = client.messaging_profiles.list()
page = page.data[0]
print(page.id)package main
import (
"context"
"fmt"
"github.com/team-telnyx/telnyx-go"
"github.com/team-telnyx/telnyx-go/option"
)
func main() {
client := telnyx.NewClient(
option.WithAPIKey("My API Key"),
)
page, err := client.MessagingProfiles.List(context.TODO(), telnyx.MessagingProfileListParams{})
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", page)
}package com.telnyx.sdk.example;
import com.telnyx.sdk.client.TelnyxClient;
import com.telnyx.sdk.client.okhttp.TelnyxOkHttpClient;
import com.telnyx.sdk.models.messagingprofiles.MessagingProfileListPage;
import com.telnyx.sdk.models.messagingprofiles.MessagingProfileListParams;
public final class Main {
private Main() {}
public static void main(String[] args) {
TelnyxClient client = TelnyxOkHttpClient.fromEnv();
MessagingProfileListPage page = client.messagingProfiles().list();
}
}require "telnyx"
telnyx = Telnyx::Client.new(api_key: "My API Key")
page = telnyx.messaging_profiles.list
puts(page)<?php
require_once dirname(__DIR__) . '/vendor/autoload.php';
use Telnyx\Client;
use Telnyx\Core\Exceptions\APIException;
$client = new Client(apiKey: getenv('TELNYX_API_KEY') ?: 'My API Key');
try {
$page = $client->messagingProfiles->list(
filter: ['name' => 'name'],
filterNameContains: 'filter[name][contains]',
filterNameEq: 'filter[name][eq]',
pageNumber: 0,
pageSize: 0,
);
var_dump($page);
} catch (APIException $e) {
echo $e->getMessage();
}telnyx messaging-profiles list \
--api-key 'My API Key'curl --request GET \
--url https://api.telnyx.com/v2/messaging_profiles \
--header 'Authorization: Bearer <token>'{
"data": [
{
"record_type": "messaging_profile",
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"name": "Profile for Messages",
"webhook_url": "https://www.example.com/hooks",
"webhook_failover_url": "https://backup.example.com/hooks",
"enabled": true,
"webhook_api_version": "2",
"whitelisted_destinations": [
"US"
],
"created_at": "2019-01-23T18:10:02.574Z",
"updated_at": "2019-01-23T18:10:02.574Z",
"number_pool_settings": {
"toll_free_weight": 10,
"long_code_weight": 2,
"skip_unhealthy": false,
"sticky_sender": true,
"geomatch": false
},
"url_shortener_settings": {
"domain": "example.ex",
"prefix": "cmpny",
"replace_blacklist_only": true,
"send_webhooks": false
},
"v1_secret": "rP1VamejkU2v0qIUxntqLW2c",
"health_webhook_url": null,
"mms_fall_back_to_sms": false,
"mms_transcoding": false,
"daily_spend_limit": "100.00",
"daily_spend_limit_enabled": false,
"redaction_enabled": false,
"redaction_level": 2,
"mobile_only": false
}
],
"meta": {
"total_pages": 3,
"total_results": 55,
"page_number": 2,
"page_size": 25
}
}{
"errors": [
{
"code": "<string>",
"title": "<string>",
"detail": "<string>",
"source": {
"pointer": "<string>",
"parameter": "<string>"
},
"meta": {}
}
]
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Consolidated filter parameter (deepObject style). Originally: filter[name]
Show child attributes
Show child attributes
Consolidated page parameter (deepObject style). Originally: page[number], page[size]
Show child attributes
Show child attributes
Filter profiles by exact name match.
Filter profiles by name containing the given string.
Was this page helpful?
⌘I
JavaScript
import Telnyx from 'telnyx';
const client = new Telnyx({
apiKey: process.env['TELNYX_API_KEY'], // This is the default and can be omitted
});
// Automatically fetches more pages as needed.
for await (const messagingProfile of client.messagingProfiles.list()) {
console.log(messagingProfile.id);
}import os
from telnyx import Telnyx
client = Telnyx(
api_key=os.environ.get("TELNYX_API_KEY"), # This is the default and can be omitted
)
page = client.messaging_profiles.list()
page = page.data[0]
print(page.id)package main
import (
"context"
"fmt"
"github.com/team-telnyx/telnyx-go"
"github.com/team-telnyx/telnyx-go/option"
)
func main() {
client := telnyx.NewClient(
option.WithAPIKey("My API Key"),
)
page, err := client.MessagingProfiles.List(context.TODO(), telnyx.MessagingProfileListParams{})
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", page)
}package com.telnyx.sdk.example;
import com.telnyx.sdk.client.TelnyxClient;
import com.telnyx.sdk.client.okhttp.TelnyxOkHttpClient;
import com.telnyx.sdk.models.messagingprofiles.MessagingProfileListPage;
import com.telnyx.sdk.models.messagingprofiles.MessagingProfileListParams;
public final class Main {
private Main() {}
public static void main(String[] args) {
TelnyxClient client = TelnyxOkHttpClient.fromEnv();
MessagingProfileListPage page = client.messagingProfiles().list();
}
}require "telnyx"
telnyx = Telnyx::Client.new(api_key: "My API Key")
page = telnyx.messaging_profiles.list
puts(page)<?php
require_once dirname(__DIR__) . '/vendor/autoload.php';
use Telnyx\Client;
use Telnyx\Core\Exceptions\APIException;
$client = new Client(apiKey: getenv('TELNYX_API_KEY') ?: 'My API Key');
try {
$page = $client->messagingProfiles->list(
filter: ['name' => 'name'],
filterNameContains: 'filter[name][contains]',
filterNameEq: 'filter[name][eq]',
pageNumber: 0,
pageSize: 0,
);
var_dump($page);
} catch (APIException $e) {
echo $e->getMessage();
}telnyx messaging-profiles list \
--api-key 'My API Key'curl --request GET \
--url https://api.telnyx.com/v2/messaging_profiles \
--header 'Authorization: Bearer <token>'{
"data": [
{
"record_type": "messaging_profile",
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"name": "Profile for Messages",
"webhook_url": "https://www.example.com/hooks",
"webhook_failover_url": "https://backup.example.com/hooks",
"enabled": true,
"webhook_api_version": "2",
"whitelisted_destinations": [
"US"
],
"created_at": "2019-01-23T18:10:02.574Z",
"updated_at": "2019-01-23T18:10:02.574Z",
"number_pool_settings": {
"toll_free_weight": 10,
"long_code_weight": 2,
"skip_unhealthy": false,
"sticky_sender": true,
"geomatch": false
},
"url_shortener_settings": {
"domain": "example.ex",
"prefix": "cmpny",
"replace_blacklist_only": true,
"send_webhooks": false
},
"v1_secret": "rP1VamejkU2v0qIUxntqLW2c",
"health_webhook_url": null,
"mms_fall_back_to_sms": false,
"mms_transcoding": false,
"daily_spend_limit": "100.00",
"daily_spend_limit_enabled": false,
"redaction_enabled": false,
"redaction_level": 2,
"mobile_only": false
}
],
"meta": {
"total_pages": 3,
"total_results": 55,
"page_number": 2,
"page_size": 25
}
}{
"errors": [
{
"code": "<string>",
"title": "<string>",
"detail": "<string>",
"source": {
"pointer": "<string>",
"parameter": "<string>"
},
"meta": {}
}
]
}